/*++

Copyright (c) Sydus.

Module:

    Rot128.h

Authors:

    Sharvil Nanavati (sharvil) 2005-11-22

--*/

#pragma once

#include "base.h"

class Rot128
{
	public:
		Rot128();
		~Rot128();

		void Encrypt(BString & data) const;
		void Decrypt(BString & data) const;

		void Encrypt(uint8 * data, uint32 length) const;
		void Decrypt(uint8 * data, uint32 length) const;
};
