/*++

Copyright (c) Sydus.

Module:

    Directory.h

Authors:

    Sharvil Nanavati (sharvil) 2007-10-25

--*/

#pragma once

#include "base.h"

class Directory : public NonInstantiable
{
	public:
		static std::string PathFromFile(const std::string & filename);
		static std::string GetCurrent();
		static void SetCurrent(const std::string & directory);
};
